Skip to main content
PATCH
/
v2
/
salesOrders
/
{salesOrderId}
/
lineitems
/
{salesOrderLineItemId}
Update Sales Order Line Item
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId}/lineitems/{salesOrderLineItemId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "name": "<string>",
  "sKU": "<string>",
  "quantity": 123,
  "salesUnit": "<string>",
  "salesPriceNet": 123,
  "salesPriceGross": 123,
  "discount": 123,
  "purchasePriceNet": 123,
  "taxRate": 123,
  "notice": "<string>"
}
'
{
  "errorCode": "<string>",
  "validationErrors": {},
  "errors": {},
  "errorMessage": "<string>",
  "stacktrace": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesOrderId
string<uuid>
required

The id of the sales order that the line items belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

The id of the line item that the belongs to the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The item to update.

Model Class: UpdateSalesOrderLineItem

itemId
string<uuid>

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string

Name of the position.

sKU
string

SKU of the sales order line item.

quantity
number<decimal>

The quantity of the line item.

salesUnit
string

The sales unit of the line item.

salesPriceNet
number<decimal>

The net sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

salesPriceGross
number<decimal>

The gross sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

discount
number<decimal>

The discount of the line item.

purchasePriceNet
number<decimal>

The purchase price of the item.

taxRate
number<decimal>

The tax rate of the line item.

notice
string

Notice for the line item.

Response